Bug 18010 - @hidden sections should be excluded from the outline (or a note should be added, that hidden sections are included). The same goes for hidden headings of sections that are not hidden.
@hidden sections should be excluded from the outline (or a note should be add...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
: a11y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 08:06 UTC by contributor
Modified: 2012-09-21 10:34 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 08:06:31 UTC
This was was cloned from bug 15767 as part of operation convergence.
Originally filed: 2012-01-28 21:18:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-01-28 21:18:53 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/sections.html
Multipage: http://www.whatwg.org/C#outlines
Complete: http://www.whatwg.org/c#outlines

Comment:
@hidden sections should be excluded from the outline (or a note should be
added, that hidden sections are included). The same goes for hidden headings
of sections that are not hidden.

Posted from: 80.239.243.96
User agent: Opera/9.80 (Windows NT 6.1; U; en) Presto/2.10.229 Version/11.61
================================================================================
Comment 1 Edward O'Connor 2012-09-06 21:28:16 UTC
Silvia, this is fixed in r7284.
Comment 2 Silvia Pfeiffer 2012-09-21 10:34:44 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
   you are satisfied with this response, please change the state of
   this bug to CLOSED. If you have additional information and would
   like the Editor to reconsider, please reopen this bug. If you would
   like to escalate the issue to the full HTML Working Group, please
   add the TrackerRequest keyword to this bug, and suggest title and
   text for the Tracker Issue; or you may create a Tracker Issue
   yourself, if you are able to do so. For more details, see this
   document:       http://dev.w3.org/html5/decision-policy/decision-policy.html

   Status: Accepted
   Change Description: Patch applied
https://github.com/w3c/html/commit/208a94eab9dba3b74936a768fcc72a4d6e0819a4
   Rationale: adopted from WHATWG